"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupUsageApi = void 0;
const usage_1 = require("../helpers/usage");
function setupUsageApi(app, config, _logger) {
    app.get('/api/usage', async (_req, res) => {
        const space = await usage_1.checkDiskSpace(config.torrents.path);
        const usedSpace = await usage_1.getUsedSpace(config.torrents.path);
        res.json({
            totalDiskSpace: space.size,
            freeDiskSpace: space.free,
            usedTorrentSpace: usedSpace,
        });
    });
    return app;
}
exports.setupUsageApi = setupUsageApi;
