export interface Config {
    host: string;
    port: number;
    environment: 'development' | 'production';
    logging: {
        transports: Array<{
            type: 'console';
        } | {
            type: 'loggly';
            subdomain: string;
            token: string;
            tags?: string[];
        }>;
        level: 'debug' | 'info' | 'warn' | 'error';
    };
    torrents: {
        path: string;
        autocleanInternal: number;
    };
    security: {
        streamApi: {
            key?: string;
            maxAge: string;
        };
        frontendEnabled: boolean;
        apiEnabled: boolean;
        apiKey?: string;
    };
    trustProxy: boolean;
}
export declare const isInGoogleAppEngine: boolean;
export declare const isInHeroku: boolean;
export declare function readConfig(path: string | undefined): Promise<Config>;
