import { Logger } from 'winston';
import { TorrentAdapter, TorrentAdapterTorrent, TorrentAdapterFile } from './adapters';
export * from './adapters';
export * from './adapters/webtorrent';
export interface TorrentClientTorrent extends TorrentAdapterTorrent {
    created: Date;
    updated: Date;
    infoHash: string;
    link: string;
    files: TorrentClientFile[];
}
export interface TorrentClientFile extends TorrentAdapterFile {
    type: string;
}
export interface TorrentClientConfig {
    autocleanInternal: number;
}
export declare class TorrentClient {
    protected config: TorrentClientConfig;
    protected adapter: TorrentAdapter;
    protected logger: Logger;
    protected torrents: Record<string, TorrentClientTorrent>;
    protected cleanLocked: boolean;
    constructor(config: TorrentClientConfig, adapter: TorrentAdapter, logger: Logger);
    getTorrents(): TorrentClientTorrent[];
    getTorrent(infoHash: string): TorrentClientTorrent | undefined;
    removeTorrent(infoHash: string): Promise<void>;
    addTorrent(link: string): Promise<TorrentClientTorrent>;
    protected checkForExpiredTorrents(): Promise<void>;
}
