import { ProviderMeta, ProviderSearchOptions, ProviderResult } from './providers';
import { NyaaProvider } from './providers/nyaa';
import { ThepiratebayProvider } from './providers/thepiratebay';
export declare const providers: {
    Nyaa: NyaaProvider;
    ThePirateBay: ThepiratebayProvider;
};
export declare type TorrentProvider = keyof typeof providers;
export interface ProviderInfo extends ProviderMeta {
    name: string;
}
export declare function getProvidersInfo(): Promise<ProviderInfo[]>;
export declare function search(searchProviders: TorrentProvider[], query: string, options: ProviderSearchOptions): Promise<ProviderResult[]>;
export declare function isProviderSupported(name: unknown): name is TorrentProvider;
